<html>
<head>
<title>OGRE: OgreEdgeListBuilder.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreEdgeListBuilder.h File Reference</h1><code>#include &quot;<a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreVector4_8h-source.html">OgreVector4.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreHardwareVertexBuffer_8h-source.html">OgreHardwareVertexBuffer.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreRenderOperation_8h-source.html">OgreRenderOperation.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreAlignedAllocator_8h-source.html">OgreAlignedAllocator.h</a>&quot;</code><br>

<p>
<a href="OgreEdgeListBuilder_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EdgeData.html">Ogre::EdgeData</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This class contains the information required to describe the edge connectivity of a given set of vertices and indexes.  <a href="classOgre_1_1EdgeData.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1Triangle.html">Ogre::EdgeData::Triangle</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Basic triangle structure.  <a href="structOgre_1_1EdgeData_1_1Triangle.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1Edge.html">Ogre::EdgeData::Edge</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="structOgre_1_1EdgeData_1_1Edge.html" title="Edge data.">Edge</a> data.  <a href="structOgre_1_1EdgeData_1_1Edge.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeData_1_1EdgeGroup.html">Ogre::EdgeData::EdgeGroup</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A group of edges sharing the same vertex data.  <a href="structOgre_1_1EdgeData_1_1EdgeGroup.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EdgeListBuilder.html">Ogre::EdgeListBuilder</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">General utility class for building edge lists for geometry.  <a href="classOgre_1_1EdgeListBuilder.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeListBuilder_1_1CommonVertex.html">Ogre::EdgeListBuilder::CommonVertex</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A vertex can actually represent several vertices in the final model, because vertices along texture seams etc will have been duplicated.  <a href="structOgre_1_1EdgeListBuilder_1_1CommonVertex.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeListBuilder_1_1Geometry.html">Ogre::EdgeListBuilder::Geometry</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A set of indexed geometry data.  <a href="structOgre_1_1EdgeListBuilder_1_1Geometry.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeListBuilder_1_1geometryLess.html">Ogre::EdgeListBuilder::geometryLess</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Comparator for sorting geometries by vertex set.  <a href="structOgre_1_1EdgeListBuilder_1_1geometryLess.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeListBuilder_1_1vectorLess.html">Ogre::EdgeListBuilder::vectorLess</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Comparator for unique vertex list.  <a href="structOgre_1_1EdgeListBuilder_1_1vectorLess.html#_details">More...</a><br></td></tr>
</table>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:58 2008
</p>
</body>
</html>
